Summary: Jakarta Commons Logging Component
Name: rhug-commons-logging
Version: 1.0.2
Release: 1
URL: http://jakarta.apache.org/commons/logging.html
Source: %{name}-%{version}.tar.gz
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: gcc-java
BuildPrereq: libgcj-devel
Requires: libgcj

%description
The Jakarta Commons Logging Component is an ultra-thin bridge between
different logging libraries which is used to remove compile-time and
run-time dependencies on particular logging packages.

%package devel
Summary: Files for developing Commons Logging applications with gcj.
Group: Development/Libraries
Requires: rhug-commons-logging = %{version}-%{release}

%description devel
The rhug-commons-logging-devel package contains the libraries, headers
and other files you can use to develop applications that use the
Jakarta Commons Logging Component with gcj.

%prep
%setup -q

%build
./configure --disable-static --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/lib*.so*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.la
%{_includedir}/*
# FIXME: Uncomment this with libtool can build static libraries again.
# %{_libdir}/*.a

%changelog
* Sat May 24 2003 Anthony Green <green@redhat.com>
- Install .la file.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com> 1.0.2-1
- Initial build.
